Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.managedevents
Class WorkItemEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent<WorkItemEventHandler>
                  com.tibco.bpm.web.client.model.managedevents.WorkItemEvent

    public abstract class WorkItemEvent

extends ManagedEvent<WorkItemEventHandler>

Event for WorkItem actions.

©2012 TIBCO Software Inc.

Since:
  2.0.0

Nested Class Summary
`static class` | `WorkItemEvent.Action`

Nested classes/interfaces inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`ManagedEvent.DispatchScope`

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<WorkItemEventHandler>` | `TYPE`

Fields inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`DEFAULT_VERSION, EXT_SUFFIX`

Constructor Summary
`WorkItemEvent()`

Method Summary
`static WorkItemEvent` | `create()`
`static WorkItemEvent` | `create(WorkItemEvent.Action action, java.util.List<WorkItemCloseListItem> closeListItems)`
`static WorkItemEvent` | `create(WorkItemEvent.Action action, long workItemId, long version, java.lang.String processId)`
`static WorkItemEvent` | `create(WorkItemEvent.Action action, long workItemId, long version, java.lang.String processId, java.util.List<WorkItemCloseListItem> closeListItems)`
`WorkItemEvent.Action` | `getAction()`
`com.google.gwt.event.shared.GwtEvent.Type<WorkItemEventHandler>` | `getAssociatedType()`
`java.util.List<WorkItemCloseListItem>` | `getCloseListItems()`
`java.lang.String` | `getProcessId()`
`long` | `getVersion()`
`long` | `getWorkItemId()`
`void` | `setAction(WorkItemEvent.Action action)`
`void` | `setCloseListItems(java.util.List<WorkItemCloseListItem> closeListItems)`
`void` | `setProcessId(java.lang.String processId)`
`void` | `setVersion(long version)`
`void` | `setWorkItemId(long workItemId)`

Methods inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`dispatch, dispatchLocal, fromJsonString, fromPageBusMessage, fromPageBusMessageDefault, getDispatchScope, getEventSourceId, getJsonizer, getManagedEventVersion, getReceivedSchemaId, getSchemaId, getSubscription, getTopic, isCacheEnabled, isDispatched, isFireWhenReceivedFromManagedHub, isReceivedFromManagedHub, isRegistered, setCacheEnabled, setDispatched, setDispatchScope, setEventSourceId, setFireWhenReceivedFromManagedHub, setManagedEventVersion, setReceivedSchemaId, setRegistered, setSubscription, toJsonString, toPageBusMessage, toPageBusMessageDefault`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<WorkItemEventHandler> TYPE

Constructor Detail

### WorkItemEvent

    public WorkItemEvent()

Method Detail

### create

    public static WorkItemEvent create()

### create

    public static WorkItemEvent create(WorkItemEvent.Action action,
                                       java.util.List<WorkItemCloseListItem> closeListItems)

### create

    public static WorkItemEvent create(WorkItemEvent.Action action,
                                       long workItemId,
                                       long version,
                                       java.lang.String processId)

### create

    public static WorkItemEvent create(WorkItemEvent.Action action,
                                       long workItemId,
                                       long version,
                                       java.lang.String processId,
                                       java.util.List<WorkItemCloseListItem> closeListItems)

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<WorkItemEventHandler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<WorkItemEventHandler>`

### getAction

    public WorkItemEvent.Action getAction()

### setAction

    public void setAction(WorkItemEvent.Action action)

### getWorkItemId

    public long getWorkItemId()

### setWorkItemId

    public void setWorkItemId(long workItemId)

### getVersion

    public long getVersion()

### setVersion

    public void setVersion(long version)

### getProcessId

    public java.lang.String getProcessId()

### setProcessId

    public void setProcessId(java.lang.String processId)

### getCloseListItems

    public java.util.List<WorkItemCloseListItem> getCloseListItems()

### setCloseListItems

    public void setCloseListItems(java.util.List<WorkItemCloseListItem> closeListItems)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.